Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitAssertEqualsConstantActualValueRule

- groovy.org.codenarc.rule.junit.JUnitAssertEqualsConstantActualValueRule

- Reports usages of org.junit.Assert.assertEquals([message,] expected, actual) where the 'actual' parameter is a constant or a literal. Most likely it was intended to be the 'expected' value.

  Authors:
    Artur Gajowy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToFilesMatching`
    `Class` | `astVisitorClass`
    `int` | `compilerPhase`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToFilesMatching

    - #### Class astVisitorClass

    - #### int compilerPhase

    - #### String name

    - #### int priority